Bug 751119 - Review Request: perl-Judy - Perl wrapper for Judy
Review Request: perl-Judy - Perl wrapper for Judy
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-03 11:15 EDT by Jan Holcapek
Modified: 2016-02-02 00:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-01 02:25:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Holcapek 2011-11-03 11:15:02 EDT
Spec URL: http://judy.holcapek.name/perl-Judy.spec
SRPM URL: http://judy.holcapek.name/perl-Judy-0.40-1.src.rpm
Description: Perl wrapper for Judy
Comment 1 Jan Holcapek 2011-11-03 11:41:43 EDT
This package aims to provide an easy way to install Judy, http://search.cpan.org/~jjore/Judy-0.40/ which would otherwise need to be installed through a helper module Alien::Judy and cpan.

This package does it hopefully in more rpm-way: upstream sources, patch to get rid of dependency on Alien::Judy, and a spec file, will give you rpm.
Comment 2 Tomas Smetana 2011-12-07 04:47:32 EST
Hello,
  I tried to run rpmlint with the provided src.rpm:

perl-Judy.src: E: no-changelogname-tag
perl-Judy.src: W: invalid-license GPL
perl-Judy.src: W: no-url-tag
perl-Judy.src:21: W: unversioned-explicit-provides perl(Judy::1::_impl)
perl-Judy.src:21: W: unversioned-explicit-provides perl(Judy::1::_obj)
perl-Judy.src:21: W: unversioned-explicit-provides perl(Judy::1::_tie)
perl-Judy.src:22: W: unversioned-explicit-provides perl(Judy::L::_impl)
perl-Judy.src:22: W: unversioned-explicit-provides perl(Judy::L::_obj)
perl-Judy.src:22: W: unversioned-explicit-provides perl(Judy::L::_tie)
perl-Judy.src:23: W: unversioned-explicit-provides perl(Judy::SL::_impl)
perl-Judy.src:23: W: unversioned-explicit-provides perl(Judy::SL::_obj)
perl-Judy.src:23: W: unversioned-explicit-provides perl(Judy::SL::_tie)
perl-Judy.src:23: W: unversioned-explicit-provides perl(Judy::SL::_dump)
perl-Judy.src:24: W: unversioned-explicit-provides perl(Judy::HS::_impl)
perl-Judy.src:24: W: unversioned-explicit-provides perl(Judy::HS::_obj)
perl-Judy.src:24: W: unversioned-explicit-provides perl(Judy::HS::_tie)
perl-Judy.src:25: W: unversioned-explicit-provides perl(Judy::Mem::_impl)
perl-Judy.src:26: W: unversioned-explicit-provides perl(Judy::_tie)
perl-Judy.src:33: W: setup-not-quiet
perl-Judy.src:37: W: rpm-buildroot-usage %build perl Build.PL --install_path arch=${RPM_BUILD_ROOT}/%{perl_sitearch} --install_path libdoc=$RPM_BUILD_ROOT/%{_mandir}/man3
perl-Judy.src:50: W: macro-in-comment %{_name_version}
1 packages and 0 specfiles checked; 1 errors, 20 warnings

The missing changelog is definitely not OK.  According to the README file the license should be the same as Perl itself, which is "(GPL+ or Artistic) and (GPLv2+ or Artistic) and Copyright Only and MIT and Public Domain and UCD" however the Perl packaging guildelines [0] suggest "GPL+ or Artistic"... I'm lost.

As for the other warnings: the %clean version suggests the provided .spec is not a final version(?).  So it would be good to finalize it probably...

Since this is a Perl package I would rather someone more experienced to take a look at it. However: there are errors that have to be corrected anyway.

[0] https://fedoraproject.org/wiki/Packaging/Perl
Comment 3 Marcela Mašláňová 2012-01-10 06:08:33 EST
Hi Jan,
you can actively seek for sponsor, for example on our Perl list perl-devel@lists.fedoraproject.org. Please, fix mentioned errors and wait for new review from sponsor.
Comment 4 Jan Holcapek 2012-02-14 08:53:25 EST
Hello there,

I have tried to accommodate the comments above, updated spec file and srpm are available at: 

- https://github.com/holcapek/perl-Judy/raw/master/perl-Judy-0.40-1.src.rpm
- https://raw.github.com/holcapek/perl-Judy/master/perl-Judy.spec

(In reply to comment #2)
> perl-Judy.src: E: no-changelogname-tag

Fixed.

> perl-Judy.src: W: invalid-license GPL

Fixed.

> perl-Judy.src: W: no-url-tag

Fixed.

> perl-Judy.src:21: W: unversioned-explicit-provides perl(Judy::1::_impl)
> perl-Judy.src:21: W: unversioned-explicit-provides perl(Judy::1::_obj)
> perl-Judy.src:21: W: unversioned-explicit-provides perl(Judy::1::_tie)
> perl-Judy.src:22: W: unversioned-explicit-provides perl(Judy::L::_impl)
> perl-Judy.src:22: W: unversioned-explicit-provides perl(Judy::L::_obj)
> perl-Judy.src:22: W: unversioned-explicit-provides perl(Judy::L::_tie)
> perl-Judy.src:23: W: unversioned-explicit-provides perl(Judy::SL::_impl)
> perl-Judy.src:23: W: unversioned-explicit-provides perl(Judy::SL::_obj)
> perl-Judy.src:23: W: unversioned-explicit-provides perl(Judy::SL::_tie)
> perl-Judy.src:23: W: unversioned-explicit-provides perl(Judy::SL::_dump)
> perl-Judy.src:24: W: unversioned-explicit-provides perl(Judy::HS::_impl)
> perl-Judy.src:24: W: unversioned-explicit-provides perl(Judy::HS::_obj)
> perl-Judy.src:24: W: unversioned-explicit-provides perl(Judy::HS::_tie)
> perl-Judy.src:25: W: unversioned-explicit-provides perl(Judy::Mem::_impl)
> perl-Judy.src:26: W: unversioned-explicit-provides perl(Judy::_tie)

Not sure if this actually needs fixing, so left untouched.

> perl-Judy.src:33: W: setup-not-quiet

Fixed.

> perl-Judy.src:37: W: rpm-buildroot-usage %build perl Build.PL --install_path
> arch=${RPM_BUILD_ROOT}/%{perl_sitearch} --install_path
> libdoc=$RPM_BUILD_ROOT/%{_mandir}/man3

Fixed.

> perl-Judy.src:50: W: macro-in-comment %{_name_version}

Fixed.
Comment 5 Jan Holcapek 2012-02-14 09:35:19 EST
(In reply to comment #3)
> you can actively seek for sponsor, for example on our Perl list
> perl-devel@lists.fedoraproject.org. Please, fix mentioned errors and wait for
> new review from sponsor.

Review request sent to perl-devel.
Comment 6 Petr Šabata 2012-02-20 12:57:33 EST
I guess I could sponsor you.  I'd like to see some more packages from you first, though...

Formal review:
--------------
FIX: The package doesn't build (tested in Rawhide) due to missing build-time dependencies.  The following should be added:
perl(constant), perl(Sub::Exporter)
FIX: I don't see a reason for those custom macros -- could you explain them? Anyway, use %global instead of %define to comply with the Guidelines.
FIX: Remove './Build test' from %build and move it to a (not currently present) %check section
FIX: Remove gcc from build-time dependencies.  This is always present.
FIX: Remove all those useless explicit Provides.
TODO: Improve the %description; this is just a copy of Summary and doesn't really say much about the package.
TODO: Unless you plan this for EPEL, remove the %clean section.
TODO: Unless you plan this for EPEL5 or older, drop the buildroot removal from %install.  If you do, add %defattr to %files and specify the Buildroot tag.
TODO: Don't list manpages in %doc.  They're marked as documentation automatically.  Also substitute the gzip extension with a glob; the compression might change in the future.  Be ready.
FIX: Don't use paths in %doc; simple '%doc Changes README' would do the right thing (TM).
FIX: Simply put: Use Module::Build as other packages do.  You don't need anything extra. E.g.:

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
./Build test

TIP: Simplify the %files list by using globs.
FIX: Your Version is missing the %dist-tag.  Add it.
TIP: What's the reason for the patch?  Explain it in a comment.

--
Not approving yet.
The FIX items are blockers, TODOs are 'just' highly recommended.
Comment 7 Petr Šabata 2013-01-17 09:57:04 EST
Ping.  It's been almost a year now.
Comment 8 Jan Holcapek 2013-11-08 10:51:35 EST
My apologies for being that late.

Required items were mostly fixed by exploiting cpanspec to generate spec file from CPAN module. The only piece I had to change was source tarball url: generated one was invalid, so I picked working one.

> I guess I could sponsor you.  I'd like to see some more packages from you
> first, though...

perl-DBD-ODBC will come soon.


> FIX: The package doesn't build (tested in Rawhide) due to missing build-time
> dependencies.  The following should be added:
> perl(constant), perl(Sub::Exporter)

Fixed.

> FIX: I don't see a reason for those custom macros -- could you explain them?
> Anyway, use %global instead of %define to comply with the Guidelines.

Fixed.

> FIX: Remove './Build test' from %build and move it to a (not currently
> present) %check section

Fixed.

> FIX: Remove gcc from build-time dependencies.  This is always present.

Fixed.

> FIX: Remove all those useless explicit Provides.

Well, I'd love to, yet if I do so, I end up with these errors when about to install the resulting package:

--cut--
[root@localhost perl-Judy]# rpm -U --test ../rpmbuild/RPMS/x86_64/perl-Judy-0.41-1.fc19.x86_64.rpm 
error: Failed dependencies:
	perl(Judy::1::_impl) is needed by perl-Judy-0.41-1.fc19.x86_64
	perl(Judy::1::_obj) is needed by perl-Judy-0.41-1.fc19.x86_64
	perl(Judy::1::_tie) is needed by perl-Judy-0.41-1.fc19.x86_64
	perl(Judy::HS::_impl) is needed by perl-Judy-0.41-1.fc19.x86_64
	perl(Judy::HS::_obj) is needed by perl-Judy-0.41-1.fc19.x86_64
	perl(Judy::HS::_tie) is needed by perl-Judy-0.41-1.fc19.x86_64
	perl(Judy::L::_impl) is needed by perl-Judy-0.41-1.fc19.x86_64
	perl(Judy::L::_obj) is needed by perl-Judy-0.41-1.fc19.x86_64
	perl(Judy::L::_tie) is needed by perl-Judy-0.41-1.fc19.x86_64
	perl(Judy::Mem::_impl) is needed by perl-Judy-0.41-1.fc19.x86_64
	perl(Judy::SL::_dump) is needed by perl-Judy-0.41-1.fc19.x86_64
	perl(Judy::SL::_impl) is needed by perl-Judy-0.41-1.fc19.x86_64
	perl(Judy::SL::_obj) is needed by perl-Judy-0.41-1.fc19.x86_64
	perl(Judy::SL::_tie) is needed by perl-Judy-0.41-1.fc19.x86_64
	perl(Judy::_tie) is needed by perl-Judy-0.41-1.fc19.x86_64
--cut--

I just don't know how to get rid of them except specifying explicit Provides. Any idea?

> TODO: Improve the %description; this is just a copy of Summary and doesn't
> really say much about the package.

Fixed.

> TODO: Unless you plan this for EPEL, remove the %clean section.

I would actually like to push the package to EPEL eventually, so leaving %clean in place.

> TODO: Unless you plan this for EPEL5 or older, drop the buildroot removal
> from %install.  If you do, add %defattr to %files and specify the Buildroot
> tag.

Fixed: don't plan for EPEL5, thus removed buildroot removal from %install.

> TODO: Don't list manpages in %doc.  They're marked as documentation
> automatically.  Also substitute the gzip extension with a glob; the
> compression might change in the future.  Be ready.

Fixed by using cpanspec.

> FIX: Don't use paths in %doc; simple '%doc Changes README' would do the
> right thing (TM).

Fixed.

> FIX: Simply put: Use Module::Build as other packages do.  You don't need
> anything extra. E.g.:
> 
> %build
> perl Build.PL installdirs=vendor
> ./Build
> 
> %install
> ./Build install destdir=%{buildroot} create_packlist=0
> find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
> %{_fixperms} %{buildroot}/*
> 
> %check
> ./Build test

Hopefully fixed, I trusted cpanspec to do the right thing.

> TIP: Simplify the %files list by using globs.

Fixed.

> FIX: Your Version is missing the %dist-tag.  Add it.

Fixed.

> TIP: What's the reason for the patch?  Explain it in a comment.

As the patch name suggests, it attempts to avoid using Alien::Judy module, which serves the only purpose of looking up Judy headers in build time, and Judy shared library in runtime. Since Judy-devel package delivers header into standard location, and Judy package does so for shared library, there's no need for this extra tooling.


--

Also, I have updated the spec with the latest upstream version 0.41:

https://github.com/holcapek/perl-Judy/raw/master/perl-Judy.spec
https://github.com/holcapek/perl-Judy/raw/master/perl-Judy-0.41-1.fc19.src.rpm
Comment 9 Lubomir Rintel 2013-11-18 04:28:41 EST
Dropping FE-NEEDSPONSOR, I'll sponsor Jan.
Comment 10 Petr Šabata 2015-05-13 10:07:47 EDT
This has been rotting for too long...  I'll do a fresh re-review.

* I suppose the patch makes sense then.  All the files it's patching are read-only, though.  Consider changing their permissions before running the %patch macro.

* You say you're not interested in EPEL5.  You can also drop the Buildroot tag and the whole %clean section.

* Line 41, where you remove empty directories, is no longer required either. Not even in EPEL.

* The same applies to %defattr; it can be removed too.

* That perl version constraint isn't really necessary.  Simply buildrequire `perl'.

* The package still doesn't build; buildrequire Judy-devel to fix this.

* There are also some perl buildtime dependencies missing (used by either tests or the tested code and not guaranteed to be in the buildroot):
  - perl(base)
  - perl(blib)
  - perl(constant)
  - perl(Cwd)
  - perl(Data::Dumper)
  - perl(DynaLoader)
  - perl(File::Basename)
  - perl(File::Copy)
  - perl(strict)
  - perl(vars)
  - perl(warnings)

* You can drop the buildtime dependency on ExtUtils::CBuilder.  Leave it to Module::Build.

* There's no need to explicitly require the following at runtime, rpmbuild's generators will find them automagically:
  - perl(Config)
  - perl(constant)
  - perl(Sub::Exporter)

* Regarding the explicit provides -- well, you were right.  I apparently didn't check these files didn't contain any or contained package statements different from the filenames.  Therefore, the following need to be provided explicitly to satisfy reflexive dependencies (although providing all these `underscore modules' would be a better option -- feel free to):
  - perl(Judy::_tie)
  - perl(Judy::1::_impl)
  - perl(Judy::1::_obj)
  - perl(Judy::1::_tie)
  - perl(Judy::HS::_impl)
  - perl(Judy::HS::_obj)
  - perl(Judy::HS::_tie)
  - perl(Judy::L::_impl)
  - perl(Judy::L::_obj)
  - perl(Judy::L::_tie)
  - perl(Judy::Mem::_impl)
  - perl(Judy::SL::_dump)
  - perl(Judy::SL::_impl)
  - perl(Judy::SL::_obj)
  - perl(Judy::SL::_tie)

* Don't package META.* files in %doc.  They are of no use to end users.

* The author tests aren't probably all that useful either but this is debatable.

* I believe that's all :)
Comment 11 Petr Šabata 2015-07-21 07:30:04 EDT
Ping.
Comment 12 Jan Holcapek 2015-08-10 07:12:46 EDT
(In reply to Petr Šabata from comment #11)
> Ping.

My apologies. Will get back with your comments applied in a week's time.
Comment 13 Jan Holcapek 2015-09-05 04:00:04 EDT
(In reply to Petr Šabata from comment #10)
> * I suppose the patch makes sense then.  All the files it's patching are
> read-only, though.  Consider changing their permissions before running the
> %patch macro.

When building on Fedora 21, %setup does the following (among other things):
/usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .

I guess it it "fixed" by that.

> * You say you're not interested in EPEL5.  You can also drop the Buildroot
> tag and the whole %clean section.

Fixed.

> * Line 41, where you remove empty directories, is no longer required either.
> Not even in EPEL.

Fixed.

> * The same applies to %defattr; it can be removed too.

Fixed.

> * That perl version constraint isn't really necessary.  Simply buildrequire
> `perl'.

Fixed.

> * The package still doesn't build; buildrequire Judy-devel to fix this.

Fixed. Added runtime install-/runtime dependency to Judy as well.

> * There are also some perl buildtime dependencies missing (used by either
> tests or the tested code and not guaranteed to be in the buildroot):
>   - perl(base)
>   - perl(blib)
>   - perl(constant)
>   - perl(Cwd)
>   - perl(Data::Dumper)
>   - perl(DynaLoader)
>   - perl(File::Basename)
>   - perl(File::Copy)
>   - perl(strict)
>   - perl(vars)
>   - perl(warnings)

Fixed.

> * You can drop the buildtime dependency on ExtUtils::CBuilder.  Leave it to
> Module::Build.

Fixed.

> * There's no need to explicitly require the following at runtime, rpmbuild's
> generators will find them automagically:
>   - perl(Config)
>   - perl(constant)
>   - perl(Sub::Exporter)

Fixed.

> * Regarding the explicit provides -- well, you were right.  I apparently
> didn't check these files didn't contain any or contained package statements
> different from the filenames.  Therefore, the following need to be provided
> explicitly to satisfy reflexive dependencies (although providing all these
> `underscore modules' would be a better option -- feel free to):
>   - perl(Judy::_tie)
>   - perl(Judy::1::_impl)
>   - perl(Judy::1::_obj)
>   - perl(Judy::1::_tie)
>   - perl(Judy::HS::_impl)
>   - perl(Judy::HS::_obj)
>   - perl(Judy::HS::_tie)
>   - perl(Judy::L::_impl)
>   - perl(Judy::L::_obj)
>   - perl(Judy::L::_tie)
>   - perl(Judy::Mem::_impl)
>   - perl(Judy::SL::_dump)
>   - perl(Judy::SL::_impl)
>   - perl(Judy::SL::_obj)
>   - perl(Judy::SL::_tie)

Fixed. Yet it (re)introduced the following rpmlint warnings on SRPM:

---cut---
perl-Judy.src:32: W: unversioned-explicit-provides perl(Judy::_tie)
perl-Judy.src:33: W: unversioned-explicit-provides perl(Judy::1::_impl)
perl-Judy.src:34: W: unversioned-explicit-provides perl(Judy::1::_obj)
perl-Judy.src:35: W: unversioned-explicit-provides perl(Judy::1::_tie)
perl-Judy.src:36: W: unversioned-explicit-provides perl(Judy::HS::_impl)
perl-Judy.src:37: W: unversioned-explicit-provides perl(Judy::HS::_obj)
perl-Judy.src:38: W: unversioned-explicit-provides perl(Judy::HS::_tie)
perl-Judy.src:39: W: unversioned-explicit-provides perl(Judy::L::_impl)
perl-Judy.src:40: W: unversioned-explicit-provides perl(Judy::L::_obj)
perl-Judy.src:41: W: unversioned-explicit-provides perl(Judy::L::_tie)
perl-Judy.src:42: W: unversioned-explicit-provides perl(Judy::Mem::_impl)
perl-Judy.src:43: W: unversioned-explicit-provides perl(Judy::SL::_dump)
perl-Judy.src:44: W: unversioned-explicit-provides perl(Judy::SL::_impl)
perl-Judy.src:45: W: unversioned-explicit-provides perl(Judy::SL::_obj)
perl-Judy.src:46: W: unversioned-explicit-provides perl(Judy::SL::_tie)
---cut---

> * Don't package META.* files in %doc.  They are of no use to end users.

Fixed. Excluded other useless files as well.

Also, rpmlint reports this warning on RPM:

---cut---
perl-Judy.x86_64: E: useless-provides perl(Judy)
---cut---

yet I guess we can safely ignore that.

SRPM: https://github.com/holcapek/perl-Judy/raw/master/perl-Judy-0.41-2.fc21.src.rpm
Spec: https://raw.githubusercontent.com/holcapek/perl-Judy/master/perl-Judy.spec
Comment 14 Petr Šabata 2015-09-08 11:48:51 EDT
(In reply to Jan Holcapek from comment #13)
> (In reply to Petr Šabata from comment #10)
> > * I suppose the patch makes sense then.  All the files it's patching are
> > read-only, though.  Consider changing their permissions before running the
> > %patch macro.
> 
> When building on Fedora 21, %setup does the following (among other things):
> /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
> 
> I guess it it "fixed" by that.

Ack.

> > * You say you're not interested in EPEL5.  You can also drop the Buildroot
> > tag and the whole %clean section.
> 
> Fixed.

Ack.
 
> > * Line 41, where you remove empty directories, is no longer required either.
> > Not even in EPEL.
> 
> Fixed.

Ack.

> > * The same applies to %defattr; it can be removed too.
> 
> Fixed.

Ack.

> > * That perl version constraint isn't really necessary.  Simply buildrequire
> > `perl'.
> 
> Fixed.

Ack.

> > * The package still doesn't build; buildrequire Judy-devel to fix this.
> 
> Fixed. Added runtime install-/runtime dependency to Judy as well.

The package builds now.  However, you can (and should) remove the explicit runtime dependency on Judy and just rely on the autogenerated libJudy.so one.

$ rpm -qRp perl-Judy-0.41-2.fc24.x86_64.rpm | grep libJudy
libJudy.so.1()(64bit)

> > * There are also some perl buildtime dependencies missing (used by either
> > tests or the tested code and not guaranteed to be in the buildroot):
> >   - perl(base)
> >   - perl(blib)
> >   - perl(constant)
> >   - perl(Cwd)
> >   - perl(Data::Dumper)
> >   - perl(DynaLoader)
> >   - perl(File::Basename)
> >   - perl(File::Copy)
> >   - perl(strict)
> >   - perl(vars)
> >   - perl(warnings)
> 
> Fixed.

Ack.  However :), the packaging guidelines have changed meanwhile and the minimal buildroot no longer guarantees any packages to be present.  Add the following two to your build time dep list:
 - coreutils, `rm' called on line 64
 - findutils, `find' called on line 64 
 
> > * You can drop the buildtime dependency on ExtUtils::CBuilder.  Leave it to
> > Module::Build.
> 
> Fixed.

Ack.

> > * There's no need to explicitly require the following at runtime, rpmbuild's
> > generators will find them automagically:
> >   - perl(Config)
> >   - perl(constant)
> >   - perl(Sub::Exporter)
> 
> Fixed.

Ack.

> > * Regarding the explicit provides -- well, you were right.  I apparently
> > didn't check these files didn't contain any or contained package statements
> > different from the filenames.  Therefore, the following need to be provided
> > explicitly to satisfy reflexive dependencies (although providing all these
> > `underscore modules' would be a better option -- feel free to):
> >   - perl(Judy::_tie)
> >   - perl(Judy::1::_impl)
> >   - perl(Judy::1::_obj)
> >   - perl(Judy::1::_tie)
> >   - perl(Judy::HS::_impl)
> >   - perl(Judy::HS::_obj)
> >   - perl(Judy::HS::_tie)
> >   - perl(Judy::L::_impl)
> >   - perl(Judy::L::_obj)
> >   - perl(Judy::L::_tie)
> >   - perl(Judy::Mem::_impl)
> >   - perl(Judy::SL::_dump)
> >   - perl(Judy::SL::_impl)
> >   - perl(Judy::SL::_obj)
> >   - perl(Judy::SL::_tie)
> 
> Fixed. Yet it (re)introduced the following rpmlint warnings on SRPM:
> 
> ---cut---
> perl-Judy.src:32: W: unversioned-explicit-provides perl(Judy::_tie)
> perl-Judy.src:33: W: unversioned-explicit-provides perl(Judy::1::_impl)
> perl-Judy.src:34: W: unversioned-explicit-provides perl(Judy::1::_obj)
> perl-Judy.src:35: W: unversioned-explicit-provides perl(Judy::1::_tie)
> perl-Judy.src:36: W: unversioned-explicit-provides perl(Judy::HS::_impl)
> perl-Judy.src:37: W: unversioned-explicit-provides perl(Judy::HS::_obj)
> perl-Judy.src:38: W: unversioned-explicit-provides perl(Judy::HS::_tie)
> perl-Judy.src:39: W: unversioned-explicit-provides perl(Judy::L::_impl)
> perl-Judy.src:40: W: unversioned-explicit-provides perl(Judy::L::_obj)
> perl-Judy.src:41: W: unversioned-explicit-provides perl(Judy::L::_tie)
> perl-Judy.src:42: W: unversioned-explicit-provides perl(Judy::Mem::_impl)
> perl-Judy.src:43: W: unversioned-explicit-provides perl(Judy::SL::_dump)
> perl-Judy.src:44: W: unversioned-explicit-provides perl(Judy::SL::_impl)
> perl-Judy.src:45: W: unversioned-explicit-provides perl(Judy::SL::_obj)
> perl-Judy.src:46: W: unversioned-explicit-provides perl(Judy::SL::_tie)
> ---cut---

That's fine; these modules don't contain any version declarations.

> > * Don't package META.* files in %doc.  They are of no use to end users.
> 
> Fixed. Excluded other useless files as well.

Ack.

> Also, rpmlint reports this warning on RPM:
> 
> ---cut---
> perl-Judy.x86_64: E: useless-provides perl(Judy)
> ---cut---
> 
> yet I guess we can safely ignore that.

This is autogenerated from lib/Judy/_tie.pm.
Consider filtering it out with

%global __provides_exclude ^perl\\(Judy\\)$
Comment 15 Jan Holcapek 2015-09-16 04:11:23 EDT
(In reply to Petr Šabata from comment #14)

> The package builds now.  However, you can (and should) remove the explicit
> runtime dependency on Judy and just rely on the autogenerated libJudy.so one.
> 
> $ rpm -qRp perl-Judy-0.41-2.fc24.x86_64.rpm | grep libJudy
> libJudy.so.1()(64bit)

Fixed.

> Ack.  However :), the packaging guidelines have changed meanwhile and the
> minimal buildroot no longer guarantees any packages to be present.  Add the
> following two to your build time dep list:
>  - coreutils, `rm' called on line 64
>  - findutils, `find' called on line 64 

Fixed.

> This is autogenerated from lib/Judy/_tie.pm.
> Consider filtering it out with
> 
> %global __provides_exclude ^perl\\(Judy\\)$

Fixed.

SRPM: https://github.com/holcapek/perl-Judy/raw/master/perl-Judy-0.41-3.fc21.src.rpm
Spec: https://raw.githubusercontent.com/holcapek/perl-Judy/master/perl-Judy.spec
Comment 16 Petr Šabata 2015-09-16 05:46:50 EDT
Ack, all three fixed.  Approving.
Please, add `perl-sig' to InitialCC when requesting branches[0].  Also consider registering this package with Anitya[1].

Congratulations, it only took four years ;)

[0] https://fedoraproject.org/wiki/Package_SCM_admin_requests
[1] https://release-monitoring.org/
Comment 17 Upstream Release Monitoring 2015-09-25 02:45:11 EDT
holcapek's scratch build of perl-Judy-0.41-3.fc21.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11222466
Comment 18 Jan Holcapek 2015-09-25 02:52:08 EDT
New Package SCM Request
=======================
Package Name: perl-Judy
Short Description: Perl wrapper for Judy
Upstream URL: http://search.cpan.org/dist/Judy/
Owners: holcapek
Branches: f21 f22 f23 el6 epel7
InitialCC: perl-sig
Comment 19 Jon Ciesla 2015-09-25 06:30:02 EDT
Git done (by process-git-requests).
Comment 20 Petr Šabata 2015-11-25 10:59:48 EST
Any updates here?
Comment 21 Jan Holcapek 2015-12-02 07:26:22 EST
Can't push an update, talking to #fedora-admin.
Comment 22 Fedora Update System 2015-12-02 08:27:22 EST
perl-Judy-0.41-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-49d646c81a
Comment 23 Fedora Update System 2015-12-02 08:54:38 EST
perl-Judy-0.41-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-bcf7cbbe0e
Comment 24 Fedora Update System 2015-12-02 08:54:42 EST
perl-Judy-0.41-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f6a9e3ab25
Comment 25 Fedora Update System 2015-12-02 23:20:28 EST
perl-Judy-0.41-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-Judy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-bcf7cbbe0e
Comment 26 Fedora Update System 2015-12-03 11:01:47 EST
perl-Judy-0.41-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Judy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe277db63c
Comment 27 Fedora Update System 2015-12-03 12:19:21 EST
perl-Judy-0.41-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-Judy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f6a9e3ab25
Comment 28 Fedora Update System 2015-12-03 20:36:56 EST
perl-Judy-0.41-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Judy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-49d646c81a
Comment 29 Fedora Update System 2016-02-01 17:55:35 EST
perl-Judy-0.41-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2016-02-01 18:25:10 EST
perl-Judy-0.41-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2016-02-01 19:54:59 EST
perl-Judy-0.41-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2016-02-02 00:50:37 EST
perl-Judy-0.41-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.